Subject: Offline Message from غاده عبدالعزيز: Mothers World Team I waited more than
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 07:26:10 -0000

From: غاده عبدالعزيز <[email-masked]>
Phone: 
Location: Tabuk, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

Mothers World Team

I waited more than I had waited more than a month and 9 days, and I received a request that was lacking and essential, and I need it
Order number: 100145352

Please provide me with a number for complaints

This is my last deal with you

----
Zopim
https://www.zopim.com